
Contact Form - Bug #2147

When sending an email redmine replies with 404

04 Feb 2013 10:29 - Romain Schmitz

Status: Won't Fix Start date: 04 Feb 2013

Priority: Normal Due date:  

Assignee: Andriy Lesyuk % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Redmine version:  External issue:  

Description

The plugin worked when setting up the contact form and it shows up correctly in the frontend but when sending the actual email

redmine replies

Page not found

The page you were trying to access doesn't exist or has been removed.

 

The request looks good:

POST /contact/mail HTTP/1.1

Host: example.com

User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:18.0) Gecko/20100101 Firefox/18.0

Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8

Accept-Language: en-US,en;q=0.5

Accept-Encoding: gzip, deflate

Referer: http://example.com/contact/mail

Cookie: _redmine_session=BAh7D....

Connection: keep-alive

 

Something wrong with your controller?

History

#1 - 05 Feb 2013 07:43 - Romain Schmitz

I forgot to tell you what environment I use:

Redmine version: 2.1.6.stable.11195

Ruby version: 1.8.7 (x86_64-linux)

Rails version: 3.2.11

#2 - 05 Feb 2013 09:02 - Andriy Lesyuk

- Status changed from New to Incomplete

Hi! Thanks for reporting!

You are using the plugin from SVN, right?
#3 - 06 Mar 2013 18:42 - Romain Schmitz

Sorry for replying so late. Yes, it’s the svn version.

I’ve just fetched the update and migrated the plugins with the same result as before.

Maybe I did something wrong?

git svn fetch

rake redmine:plugins:migrate RAILS_ENV=production

#4 - 06 Mar 2013 18:56 - Romain Schmitz

For some reason git svn fetch didn’t really get the latest update. I’ve now checked the plugin out with subversion, migrated the plugins and finally

restarted redmine. Same issue.

#5 - 06 Mar 2013 19:11 - Andriy Lesyuk

Could you please check Redmine logs?

Anyway, it seems, the issue is in mailer templates, see this forum topic.

Please try copying files from plugin’s app/views/layouts and app/views/mailer into Redmine’s layouts and mailer directories correspondingly.

#6 - 08 Mar 2013 21:48 - Romain Schmitz

Sorry the logs have gone for that particular stacktrace but I’ve got some positive news anyway.

I think the reason was the route I have set to

root :to => 'contact_form#index', :as => 'home'

 

in config/routes.rb. When I changed this setting back to the default value your plugin worked like a charm aftwards. Then I changed it back and your

plugin continued to work.

If that’s not the reason then I have no explanation for the issue. To be honest I don’t know much about redmine’s internals so I can’t investigate

further.

#7 - 08 Mar 2013 21:57 - Andriy Lesyuk

So the issue went away?
http://projects.andriylesyuk.com/boards/8/topics/18


#8 - 09 Mar 2013 17:55 - Romain Schmitz

Yes. The issue went away for a not quite known reason. This issue can be closed 

#9 - 09 Mar 2013 18:11 - Andriy Lesyuk

- Status changed from Incomplete to Won't Fix

- Assignee set to Andriy Lesyuk

Thanks
